org.apache.cassandra.service

## Class RangeSliceVerbHandler

- java.lang.Object
- - org.apache.cassandra.service.RangeSliceVerbHandler

- All Implemented Interfaces:
    IVerbHandler<RangeSliceCommand>

      public class RangeSliceVerbHandler
      extends java.lang.Object
      implements IVerbHandler<RangeSliceCommand>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeSliceVerbHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doVerb(MessageIn<RangeSliceCommand> message, java.lang.String id)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).
    `static java.util.List<Row>` | `executeLocally(RangeSliceCommand command)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RangeSliceVerbHandler

          public RangeSliceVerbHandler()

  - ### Method Detail

    - #### executeLocally

          public static java.util.List<Row> executeLocally(RangeSliceCommand command)
                                                    throws java.util.concurrent.ExecutionException,
                                                           java.lang.InterruptedException

      Throws:
        `java.util.concurrent.ExecutionException`
        `java.lang.InterruptedException`

    - #### doVerb

          public void doVerb(MessageIn<RangeSliceCommand> message,
                    java.lang.String id)

      Description copied from interface: `IVerbHandler`
      This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.
      Specified by:
        `doVerb` in interface `IVerbHandler<RangeSliceCommand>`
      Parameters:
        `message` - - incoming message that needs handling.

Copyright © 2014 The Apache Software Foundation